# --------------------------------------------------------------------
# --   *****************************
# --   *   Trenz Electronic GmbH   *
# --   *   Holzweg 19A             *
# --   *   32257 Bünde             *
# --   *   Germany                 *
# --   *****************************
# --------------------------------------------------------------------
# -- $Author :  Pohl, Zdenek $
# -- $Email :   zdenek.pohl@utia.cas.cz$
# --------------------------------------------------------------------
# -- Descriptio:
# --    TCL script is used to export very basic sdsoc platform using xsct
# --    platform will be later used only for generation of prebuilt files
# -- Change History:
# ------------------------------------------
# -- $Date: 2018/02/03 | $Author: Pohl, Zdenek
# -- - initial release
# -- - todo - support also Zynq platform and ZynqMP with libraries 
# ------------------------------------------

#reading project settings from export scripts
source pfm_settings.tcl

# create hardware platform 
platform -name ${design_name}\
         -desc "Basic Trenz TE0701 + TE0720 Zynq platform" \
         -hw ${tmp_path}/hw/${design_name}.dsa \
         -out ${tmp_path}/PF \
         -prebuilt

system -name standalone\
         -display-name "Standalone" \
         -desc {} \
         -boot ${tmp_path}/sw/${standalone_path}/boot \
         -readme ${tmp_path}/sw/${standalone_path}/boot/generic.readme

boot -bif ${tmp_path}/sw/${standalone_path}/boot/standalone.bif

domain -name standalone \
       -proc ps7_cortexa9_0\
       -display-name "Standalone" \
       -desc {} \
       -os standalone \
       -runtime cpp

app -lscript ${tmp_path}/sw/${standalone_path}/lscript.ld


#export platform
platform -generate 


